Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::TLS::Record_Raw_Input Class Reference

`#include <tls_record.h>`

## Public Member Functions
size_t & | get_consumed ()
const uint8_t *& | get_data ()
size_t & | get_size ()
bool | is_datagram ()
| Record_Raw_Input (const uint8_t *data, size_t size, size_t &consumed, bool is_datagram)
void | set_consumed (size_t consumed)

## Detailed Description

Definition at line 124 of file tls_record.h.

## Constructor & Destructor Documentation

Botan::TLS::Record_Raw_Input::Record_Raw_Input | ( | const uint8_t * | data,
|  | size_t | size,
|  | size_t & | consumed,
|  | bool | is_datagram
| ) |  |
| inline

Definition at line 127 of file tls_record.h.

129 : m_data(data), m_size(size), m_consumed(consumed),
130 m_is_datagram(is_datagram) {}
Botan::TLS::Record_Raw_Input::is_datagram
bool is_datagram()
Definition: tls_record.h:139

## Member Function Documentation

size_t& Botan::TLS::Record_Raw_Input::get_consumed | ( |  | ) |
| inline

Definition at line 136 of file tls_record.h.

136 { return m_consumed; }

const uint8_t*& Botan::TLS::Record_Raw_Input::get_data | ( |  | ) |
| inline

Definition at line 132 of file tls_record.h.

132 { return m_data; }

size_t& Botan::TLS::Record_Raw_Input::get_size | ( |  | ) |
| inline

Definition at line 134 of file tls_record.h.

134 { return m_size; }

bool Botan::TLS::Record_Raw_Input::is_datagram | ( |  | ) |
| inline

Definition at line 139 of file tls_record.h.

Referenced by Botan::TLS::read_record().

139 { return m_is_datagram; }

void Botan::TLS::Record_Raw_Input::set_consumed | ( | size_t | consumed | ) |
| inline

Definition at line 137 of file tls_record.h.

137 { m_consumed = consumed; }

The documentation for this class was generated from the following file:

- src/lib/tls/tls_record.h